////////////////////////////////////////////////////////////
//CAddDragDrop - implementation file

#include "stdafx.h"
#include "AddDrop.h"

//this implemts the switch statement that calls the correct 
//OnDrag_xxx function
long DAddDrop::DragOperation(UINT DragOp,LPARAM lInfoPtr)
{
    SDropInfo *info = (SDropInfo*)lInfoPtr;

    long retc = 0l;

    switch(DragOp)
    {
    case DRAGOP_DRAGOVER:
        retc = OnDragOver(info->pOleObj,info->KeyState,info->point);
        break;
    case DRAGOP_ENTER:
        retc = OnDragEnter(info->pOleObj,info->KeyState,info->point);
        break;
    case DRAGOP_DROP:
        retc = OnDrop(info->pOleObj,info->d_effect,info->point);
        break;
    case DRAGOP_LEAVE:
        OnDragLeave();
        retc = 0l;
        break;
    default:
        retc = 0l;
    }

    return retc;
}

